import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Extensions";
import "Turbine.UI.Lotro";
import "Turbine.Utils";
import "Olenn.Satchel";

satchel = SatchelWindow();
satchel:SetVisible( true );

Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack1, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack2, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack3, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack4, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack5, false );


satchelCommand = Turbine.ShellCommand();

function satchelCommand:Execute( command, arguments )
	if ( arguments == "show" ) then
		satchel:SetVisible( true );
	elseif ( arguments == "hide" ) then
		satchel:SetVisible( false );
	elseif ( arguments == "toggle" ) then
		satchel:SetVisible( not satchel:IsVisible() );
	elseif ( arguments == "refresh" ) then
		satchel:Refresh();
	elseif ( arguments ~= nil ) then
		local opacity = tonumber( arguments )

		if ( ( opacity ~= nil ) and ( opacity > 0 ) ) then
			satchel:SetOpacity( opacity );
		end
	end
end

function satchelCommand:GetHelp()
	return "Satchel\n\ntob show: Display satchel\ntob hide: Hides satchel";
end

function satchelCommand:GetShortHelp()
	return "Shows or hides Satchel.";
end

Turbine.Shell.AddCommand( "tob;satchel", satchelCommand );

listCommandsCommand = Turbine.ShellCommand();

function listCommandsCommand:Execute( command, arguments )
	local commands = Turbine.Shell.GetCommands();

	local allCommands = ""

	for key, value in pairs(commands) do
		allCommands = allCommands .. ", " .. value
	end
	
	Turbine.Shell.WriteLine( allCommands )
end

Turbine.Shell.AddCommand( "listcommands", listCommandsCommand );

myDanceCommand = Turbine.ShellCommand();

function myDanceCommand:Execute( command, arguments )
	Turbine.Shell.Execute( "/dance1" );
end

Turbine.Shell.AddCommand( "mydance", myDanceCommand );

doomCommand = Turbine.ShellCommand();

function doomCommand:Execute( command, arguments )
	Turbine.Shell.Execute( "/plugins unload satchel" );
end

Turbine.Shell.AddCommand( "doom", doomCommand );
